=== debian/changelog ===
ros-kinetic-costmap-prohibition-layer (0.0.5-0xenial) xenial; urgency=high

  * Support a rolling window map
    Enable support for rolling window maps

 -- Stephan Kurzawe <stephan.kurzawe@tu-dortmund.de>  Tue, 24 Jan 2017 23:00:00 -0000

ros-kinetic-costmap-prohibition-layer (0.0.4-0xenial) xenial; urgency=high

  * Enable recognizing Integer values in single points
  * restored deleted line

 -- Stephan Kurzawe <stephan.kurzawe@tu-dortmund.de>  Sat, 29 Oct 2016 22:00:00 -0000

ros-kinetic-costmap-prohibition-layer (0.0.3-0xenial) xenial; urgency=high

  * Install scripts added

 -- Stephan Kurzawe <stephan.kurzawe@tu-dortmund.de>  Thu, 27 Oct 2016 22:00:00 -0000

ros-kinetic-costmap-prohibition-layer (0.0.2-0xenial) xenial; urgency=high

  * Initial package version

 -- Stephan Kurzawe <stephan.kurzawe@tu-dortmund.de>  Wed, 26 Oct 2016 22:00:00 -0000
