=== debian/control ===
Source: ros-kinetic-costmap-prohibition-layer
Section: misc
Priority: extra
Maintainer: Stephan Kurzawe <stephan.kurzawe@tu-dortmund.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-costmap-prohibition-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-roscpp
Description: ROS-Package that implements a costmap layer to add prohibited areas to the costmap-2D by a user configuration.
